[SOLVED] Unable to update Mint Debian Xcfe

Post your update and upgrade related errors here
Forum rules
Before you post please read this

[SOLVED] Unable to update Mint Debian Xcfe

Postby wb53tx on Sat Dec 31, 2011 2:56 pm

UPDATE: This problem has now been fixed. See my last post about it below.
--------------------------------------------------------------------------------------------------------------------
I read solutions posted by zerozero how to solve this problem, tried them and they did not work on my system.

This is a fresh install of 64bit mint debian xcfe on a 6 core processor.

Unlike others, zerozero's solution has not worked for me and I, for one, am still unable to update LMDE Xcfe. :?

I ran the two commands inxi -r and sudo apt-get update && sudo apt-get dist-upgrade

Here is the output:

$ inxi -r
Repos: Active apt sources in file: /etc/apt/sources.list
deb http://packages.linuxmint.com/ debian main upstream import
deb http://debian.linuxmint.com/latest testing main contrib non-free
deb http://security.debian.org/ testing/updates main contrib non-free
deb http://www.debian-multimedia.org testing main non-free

$ sudo apt-get update && sudo apt-get dist-upgrade
Hit http://debian.linuxmint.com testing InRelease
Ign http://packages.linuxmint.com debian InRelease
Get:1 http://packages.linuxmint.com debian Release.gpg [198 B]
Hit http://security.debian.org testing/updates InRelease
Hit http://debian.linuxmint.com testing/main amd64 Packages/DiffIndex
Get:2 http://packages.linuxmint.com debian Release [12.1 kB]
Ign http://www.debian-multimedia.org testing InRelease
Hit http://security.debian.org testing/updates/main amd64 Packages
Hit http://debian.linuxmint.com testing/contrib amd64 Packages/DiffIndex
Get:3 http://packages.linuxmint.com debian/main amd64 Packages [9,892 B]
Hit http://debian.linuxmint.com testing/non-free amd64 Packages/DiffIndex
Ign http://debian.linuxmint.com testing/contrib TranslationIndex
Hit http://security.debian.org testing/updates/contrib amd64 Packages
Hit http://security.debian.org testing/updates/non-free amd64 Packages
Ign http://security.debian.org testing/updates/contrib TranslationIndex
Ign http://security.debian.org testing/updates/main TranslationIndex
Hit http://www.debian-multimedia.org testing Release.gpg
Hit http://debian.linuxmint.com testing/main TranslationIndex
Ign http://debian.linuxmint.com testing/non-free TranslationIndex
Get:4 http://packages.linuxmint.com debian/upstream amd64 Packages [5,192 B]
Get:5 http://packages.linuxmint.com debian/import amd64 Packages [19.3 kB]
Ign http://security.debian.org testing/updates/non-free TranslationIndex
Ign http://packages.linuxmint.com debian/import TranslationIndex
Ign http://packages.linuxmint.com debian/main TranslationIndex
Ign http://packages.linuxmint.com debian/upstream TranslationIndex
Hit http://www.debian-multimedia.org testing Release
Hit http://www.debian-multimedia.org testing/main amd64 Packages/DiffIndex
Hit http://www.debian-multimedia.org testing/non-free amd64 Packages/DiffIndex
Ign http://www.debian-multimedia.org testing/main TranslationIndex
Ign http://www.debian-multimedia.org testing/non-free TranslationIndex
Ign http://security.debian.org testing/updates/contrib Translation-en_US
Ign http://security.debian.org testing/updates/contrib Translation-en
Ign http://security.debian.org testing/updates/main Translation-en_US
Ign http://security.debian.org testing/updates/main Translation-en
Ign http://security.debian.org testing/updates/non-free Translation-en_US
Ign http://debian.linuxmint.com testing/contrib Translation-en_US
Ign http://security.debian.org testing/updates/non-free Translation-en
Ign http://debian.linuxmint.com testing/contrib Translation-en
Ign http://debian.linuxmint.com testing/non-free Translation-en_US
Ign http://debian.linuxmint.com testing/non-free Translation-en
Ign http://packages.linuxmint.com debian/import Translation-en_US
Ign http://packages.linuxmint.com debian/import Translation-en
Ign http://packages.linuxmint.com debian/main Translation-en_US
Ign http://packages.linuxmint.com debian/main Translation-en
Ign http://packages.linuxmint.com debian/upstream Translation-en_US
Ign http://packages.linuxmint.com debian/upstream Translation-en
Ign http://www.debian-multimedia.org testing/main Translation-en_US
Ign http://www.debian-multimedia.org testing/main Translation-en
Ign http://www.debian-multimedia.org testing/non-free Translation-en_US
Ign http://www.debian-multimedia.org testing/non-free Translation-en
Fetched 46.7 kB in 3s (15.4 kB/s)
Reading package lists... Done
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
gstreamer0.10-plugins-really-bad libntfs-3g75 libntfs-3g804
The following NEW packages will be installed:
cpp-4.5 gcc-4.5 gcj-4.6-base gcj-4.6-jre-lib gir1.2-clutter-1.0
gir1.2-gstreamer-0.10 gir1.2-json-1.0 gir1.2-peas-1.0 gnome-desktop3-data
libaacplus2 libaacs0 libbluray-bdj libbluray1 libelfg0 libevince3
libgail-3-0 libgcj-bc libgcj-common libgcj12 libgdata1.8-cil libglew1.6
libgnome-desktop-3-0 libjaxp1.3-java libjaxp1.3-java-gcj liblockfile-bin
libmhash2 libmission-control-plugins0 libmount1 libmtp-runtime libmtp9
libpeas-1.0-0 libpeas-common libpoppler-glib6 libpoppler13 libseed-gtk3-0
libsigsegv2 libwebkitgtk-3.0-0 libwebkitgtk-3.0-common libxalan2-java
libxalan2-java-gcj libxerces2-java libxerces2-java-gcj
linux-headers-3.0.0-1-amd64 linux-headers-3.0.0-1-common linux-headers-amd64
linux-image-3.0.0-1-amd64 linux-image-amd64 linux-kbuild-3.0.0 poppler-data
zenity-common
The following packages have been kept back:
foomatic-db-engine gstreamer0.10-ffmpeg libavcodec53 mplayer vlc vlc-nox
vlc-plugin-notify vlc-plugin-pulse
The following packages will be upgraded:
acpid alsa-utils apt apt-file apt-utils aspell aspell-en banshee base-files
base-passwd bc binfmt-support bluez brasero brasero-common bsdutils busybox
cpp-4.4 cpufrequtils cron cups cups-client cups-common
cups-driver-gutenprint cups-ppdc curl dc debian-system-adjustments dkms
dmsetup eog evince evince-common fakeroot firmware-atheros firmware-bnx2
firmware-bnx2x firmware-intelwimax firmware-ipw2x00 firmware-ivtv
firmware-iwlwifi firmware-linux firmware-linux-nonfree firmware-qlogic
firmware-ralink firmware-realtek foomatic-db foomatic-filters fortunes-husse
fuse fuse-utils g++-4.4 gawk gcc-4.4 gcc-4.4-base gcc-4.5-base genisoimage
gettext-base gimp gir1.2-gdkpixbuf-2.0 gir1.2-gtk-3.0 gnome-bluetooth
gnome-disk-utility gnome-nettool gnome-user-share grep grub-common grub-pc
grub-pc-bin grub2-common gstreamer0.10-plugins-bad gzip hal hwdata
initscripts iptables iso-codes jfsutils kbd klibc-utils
libalgorithm-diff-xs-perl libapache2-mod-dnssd libarchive1 libart2.0-cil
libaspell15 libasyncns0 libaudio2 libaudit0 libavutil51 libblas3gf libblkid1
libbrasero-media0 libbs2b0 libburn4 libcap2 libcap2-bin libclutter-1.0-0
libcpufreq0 libcupscgi1 libcupsdriver1 libcupsimage2 libcupsmime1
libcupsppdc1 libcurl3 libdevmapper1.02.1 libedit2 libenchant1c2a
libencode-locale-perl libfuse2 libgconf2.0-cil libgdiplus libgdu-gtk0
libgdu0 libgimp2.0 libgl1-mesa-dev libgl1-mesa-dri libgl1-mesa-glx
libglade2.0-cil libglib-perl libglib2.0-cil libglu1-mesa libgnome-bluetooth7
libgnome-vfs2.0-cil libgnome2.24-cil libgnomecanvas2-0
libgnomecanvas2-common libgnomepanel2.24-cil libgnomeui-0 libgnomeui-common
libgstfarsight0.10-0 libgtk2.0-cil libgtkmm-2.4-1c2a libgudev-1.0-0
libgutenprint2 libhal-storage1 libhal1 libhtml-format-perl libieee1284-3
libijs-0.35 libisofs6 libjpeg62 libjs-jquery libjson-glib-1.0-0 libkarma0
libklibc libkpathsea5 liblapack3gf liblcms1 liblist-moreutils-perl
liblocale-gettext-perl liblockfile1 libltdl7 liblua5.1-0 liblvm2app2.2
liblzma2 liblzo2-2 libmjpegtools-2.0-0 libmng1 libmono-addins-gui0.2-cil
libmono-addins0.2-cil libmpfr4 libmtp-common libnotify-bin libnspr4-0d
libnss3-1d liboobs-1-4 libparted0debian1 libpci3 libpcre3 libpcsclite1
libplist1 libpolkit-agent-1-0 libpolkit-backend-1-0 libpolkit-gobject-1-0
libpolkit-gtk-1-0 libportaudio2 libpostproc51 libpurple-bin libpurple0
libraptor2-0 librasqal3 librecode0 libreoffice libreoffice-base
libreoffice-base-core libreoffice-calc libreoffice-common libreoffice-core
libreoffice-draw libreoffice-emailmerge libreoffice-filter-mobiledev
libreoffice-gnome libreoffice-gtk libreoffice-impress
libreoffice-java-common libreoffice-math libreoffice-report-builder-bin
libreoffice-style-tango libreoffice-writer libruby1.8 libsamplerate0 libsane
libsane-common libsgutils2-2 libsmbclient libsoup-gnome2.4-1 libsqlite0
libssh2-1 libstdc++6-4.4-dev libswscale2 libtalloc2 libtdb1
libtelepathy-glib0 libtext-charwidth-perl libtext-iconv-perl libthunarx-2-0
libudev0 liburi-perl libusb-0.1-4 libusb-1.0-0 libvlc5 libvlccore4
libwbclient0 libwmf0.2-7 libx11-xcb1 libxapian22 libxfont1 libxml2-utils
libxslt1.1 libxv1 libyajl1 linux-headers-2.6-amd64 linux-image-2.6-amd64
linux-libc-dev locales m4 man-db manpages manpages-dev mesa-common-dev
mesa-utils mint-meta-codecs mintbackup mintmenu
mobile-broadband-provider-info modemmanager mount multiarch-support
net-tools network-manager-gnome ntfs-3g ntp openssh-client p7zip p7zip-full
pciutils pcscd pidgin pidgin-data policykit-1 policykit-1-gnome
poppler-utils procps python-bugbuddy python-chardet python-dbus
python-debian python-evolution python-gnomeapplet python-gnomedesktop
python-gnomekeyring python-gtkspell python-libxml2 python-mako
python-markupsafe python-openssl python-parted python-uno python-wnck
python-xapian rsyslog ruby1.8 samba samba-common samba-common-bin sane-utils
simple-scan system-tools-backends sysv-rc sysvinit sysvinit-utils tasksel
tasksel-data telepathy-gabble telepathy-mission-control-5 telepathy-salut
thunar thunar-volman transmission-common transmission-gtk ttf-dejavu
ttf-dejavu-core ttf-dejavu-extra ttf-opensymbol udev ufraw-batch ufw
uno-libs3 update-inetd ure usb-modeswitch usb-modeswitch-data usbutils
util-linux uuid-runtime vim-common vim-tiny vino vlc-data w3m wget wvdial
xdg-user-dirs xfce4-places-plugin xfce4-power-manager
xfce4-power-manager-plugins xfce4-screenshooter xfce4-settings xfce4-volumed
xfdesktop4 xinit xnest xserver-common xserver-xorg xserver-xorg-core
xserver-xorg-input-all xsltproc xz-utils zenity
339 upgraded, 50 newly installed, 3 to remove and 8 not upgraded.
Need to get 0 B/415 MB of archives.
After this operation, 325 MB of additional disk space will be used.
Do you want to continue [Y/n]?
Reading changelogs... Done
Extracting templates from packages: 100%
Preconfiguring packages ...
(Reading database ... 131626 files and directories currently installed.)
Preparing to replace gstreamer0.10-plugins-bad 0.10.22-2 (using .../gstreamer0.10-plugins-bad_0.10.22-3_amd64.deb) ...
Unpacking replacement gstreamer0.10-plugins-bad ...
dpkg: error processing /var/cache/apt/archives/gstreamer0.10-plugins-bad_0.10.22-3_amd64.deb (--unpack):
trying to overwrite '/usr/lib/gstreamer-0.10/libgstxvid.so', which is also in package gstreamer0.10-plugins-really-bad 0.10.22-0.1
configured to not write apport reports
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
/var/cache/apt/archives/gstreamer0.10-plugins-bad_0.10.22-3_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

$ sudo dpkg -i --force-overwrite /var/cache/apt/archives/gstreamer0.10-plugins-bad_0.10.22-3_i386.deb
dpkg: error processing /var/cache/apt/archives/gstreamer0.10-plugins-bad_0.10.22-3_i386.deb (--install):
cannot access archive: No such file or directory
Errors were encountered while processing:
/var/cache/apt/archives/gstreamer0.10-plugins-bad_0.10.22-3_i386.deb
Last edited by wb53tx on Sat Jan 21, 2012 6:43 pm, edited 2 times in total.
User avatar
wb53tx
Level 1
Level 1
 
Posts: 22
Joined: Mon Sep 08, 2008 6:30 pm
Location: Texas, USA

Linux Mint is funded by ads and donations.
 

Re: Solution didn't work. Unable to update Mint Debian Xcfe

Postby diazepan11 on Sat Dec 31, 2011 3:04 pm

try this

Code: Select all
sudo dpkg -i --force-overwrite /var/cache/apt/archives/gstreamer0.10-plugins-bad_0.10.22-3_i386.deb
diazepan11
Level 1
Level 1
 
Posts: 34
Joined: Thu Dec 29, 2011 4:05 pm

Re: Solution didn't work. Unable to update Mint Debian Xcfe

Postby wb53tx on Sat Dec 31, 2011 3:56 pm

Thanks for replying quickly!

Unfortunately, still an error as you can see:

Remember, this is not a 386 installation. I'm running 64bits.

$ sudo dpkg -i --force-overwrite /var/cache/apt/archives/gstreamer0.10-plugins-bad_0.10.22-3_i386.deb
dpkg: error processing /var/cache/apt/archives/gstreamer0.10-plugins-bad_0.10.22-3_i386.deb (--install):
cannot access archive: No such file or directory
Errors were encountered while processing:
/var/cache/apt/archives/gstreamer0.10-plugins-bad_0.10.22-3_i386.deb


When I try to update via Update Manager, I get this error:

E: /var/cache/apt/archives/gstreamer0.10-plugins-bad_0.10.22-3_amd64.deb: trying to overwrite '/usr/lib/gstreamer-0.10/libgstxvid.so', which is also in package gstreamer0.10-plugins-really-bad 0.10.22-0.1
User avatar
wb53tx
Level 1
Level 1
 
Posts: 22
Joined: Mon Sep 08, 2008 6:30 pm
Location: Texas, USA

Re: Solution didn't work. Unable to update Mint Debian Xcfe

Postby zerozero on Sat Dec 31, 2011 4:12 pm

hi,
look careful at this post -> viewtopic.php?f=185&t=82346
you will see there 2 things:
- first the need to change the repos (you haven't done that yet);
- second the fix (and in that situation exactly for 64bit, so no need to tweak it)

tells us something afterwards :D and happy new year
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6489
Joined: Tue Jul 07, 2009 2:29 pm

Re: Solution didn't work. Unable to update Mint Debian Xcfe

Postby wb53tx on Sat Dec 31, 2011 4:34 pm

Okay. Thanks for that clue, zerozero! The problem seems to be solved. The update was now successful.

These are the steps I did to fix the problem. I followed your link and used my head.

First I ran:
Code: Select all
gksu gedit /etc/apt/sources.list


then I simply replaced my APT sources so that it now looks like this:
Code: Select all
deb http://packages.linuxmint.com/ debian main upstream import
deb http://debian.linuxmint.com/latest testing main contrib non-free
deb http://debian.linuxmint.com/latest/security testing/updates main contrib non-free
deb http://debian.linuxmint.com/latest/multimedia testing main non-free


That did not fix the problem UNTIL I issued this command:
Code: Select all
sudo dpkg -i --force-overwrite /var/cache/apt/archives/gstreamer0.10-plugins-bad_0.10.22-3_amd64.deb


Now all appears to be well. Oh, yes, and HAPPY NEW YEAR to you too! :lol:
User avatar
wb53tx
Level 1
Level 1
 
Posts: 22
Joined: Mon Sep 08, 2008 6:30 pm
Location: Texas, USA

Re: Solution didn't work. Unable to update Mint Debian Xcfe

Postby zerozero on Sat Dec 31, 2011 4:45 pm

8) glad you got it sorted, now enjoy it :wink:
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6489
Joined: Tue Jul 07, 2009 2:29 pm

Re: Solution didn't work. Unable to update Mint Debian Xcfe

Postby wb53tx on Sun Jan 01, 2012 5:46 pm

Oh, you know me, always fiddling. I messed up again. I can never just seem to sit back and "enjoy it" as you suggested.

Although this problem was fixed, I broke something else: http://forums.linuxmint.com/viewtopic.php?f=188&t=90495
User avatar
wb53tx
Level 1
Level 1
 
Posts: 22
Joined: Mon Sep 08, 2008 6:30 pm
Location: Texas, USA

Linux Mint is funded by ads and donations.
 

Return to Update/Upgrade Issues

Who is online

Users browsing this forum: No registered users and 3 guests